Subject: bug#72604: 29.2; 29.2; when using customize to set ispell-program-name to ispell, ispell-library-diectory is set correctly, but not for aspell

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Aug 2024 15:22:34 +0300

> Date: Tue, 13 Aug 2024 12:06:25 +0200
> From:  Uwe Brauer via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
>     - emacs -Q
> 
>     - describe-variable ispell-program-name: /usr/bin/aspell
> 
>     - describe-variable ispell-library-directory: nil
> 
>     - (setq ispell-program-name "/usr/bin/ispell")
> 
>     - describe-variable ispell-library-directory: nil
> 
>     - customize-option ispell-program-name /usr/bin/aspell
> 
>     - describe-variable ispell-library-directory: nil
> 
>     - customize-option ispell-program-name /usr/bin/ispell
> 
>     - describe-variable ispell-library-directory: /usr/lib/ispell
> 
> Conclusion, customize-option sets ispell-library-diectory correctly if I
> set ispell-program-name to ispell /usr/bin/ispell
> but not if I set it to ispell /usr/bin/aspell
> 
> This is not really a bug, but a lack of a feature, no?

It is not a bug, no.  And it is not a missing feature, it is actually
the feature itself: when Apsell and Hunspell are installed correctly,
they don't need this variable to find their dictionaries.  I use
Hunspell, and the value of this variable in my Emacs is also nil,
although spell-checking works well in several languages.

So let me turn the table and ask you: why did you think this is a bug?